/** Returns a new object with the same keys and where each value has been passed through the mapping function. */
export declare function mapValues<K extends string | number | symbol, T, U>(obj: Record<K, T>, fn: (value: T, key: K) => U): Record<K, U>;
export declare function mapValues<K extends string | number | symbol, T, U>(obj: Partial<Record<K, T>>, fn: (value: T, key: K) => U): Partial<Record<K, U>>;
/** Returns a new object where all keys with undefined values have been removed. */
export declare function compact<T extends object>(obj: T): {
    [P in keyof T]+?: Exclude<T[P], undefined>;
};
//# sourceMappingURL=object.d.ts.map