/**
 * Represents an error thrown when an operation is interrupted unexpectedly.
 * This custom error class extends the built-in Error class in JavaScript and
 * can be used to handle cases where a process or task is terminated before completion.
 */
export declare class InterruptError extends Error {
    readonly name = "InterruptError";
}
/**
 * An error thrown when an action times out.
 */
export declare class TimeoutError extends Error {
    readonly name = "TimeoutError";
}
/**
 * Represents an error thrown when an operation is aborted.
 */
export declare class AbortError extends Error {
    readonly name = "AbortError";
}
//# sourceMappingURL=index.d.ts.map