import { type DebugLogger } from '../log/logger.js';
import { BaseMemoryQueue } from './base_memory_queue.js';
/**
 * A simple fifo queue. It can grow unbounded. It can have multiple producers and consumers.
 * Putting an item onto the queue always succeeds, unless either end() or cancel() has been called in which case
 * the item being pushed is simply discarded.
 */
export declare class FifoMemoryQueue<T> extends BaseMemoryQueue<T> {
    private container;
    constructor(log?: DebugLogger);
    protected get items(): FifoQueue<T>;
}
declare class FifoQueue<T> {
    private items;
    put(item: T): void;
    get(): T | undefined;
    get length(): number;
    clear(): void;
}
export {};
//# sourceMappingURL=fifo_memory_queue.d.ts.map