import { BaseMemoryQueue } from './base_memory_queue.js';
import { PriorityQueue } from './priority_queue.js';
/**
 * A priority queue. It can grow unbounded. It can have multiple producers and consumers.
 * Putting an item onto the queue always succeeds, unless either end() or cancel() has been called in which case
 * the item being pushed is simply discarded.
 */
export declare class PriorityMemoryQueue<T> extends BaseMemoryQueue<T> {
    private container;
    constructor(comparator: (a: T, b: T) => number);
    protected get items(): PriorityQueue<T>;
}
//# sourceMappingURL=priority_memory_queue.d.ts.map